Help with Linux Mint installation

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderator: trava90

Post Reply
User avatar
llegendary
New to the forum
New to the forum
Posts: 2
Joined: 2020-03-07, 15:48

Help with Linux Mint installation

Post by llegendary » 2020-03-07, 15:59

I just installed Linux Mint 19.3 Cinnamon 4.4.5 with 5.0.0-32-generic kernel.

I'm pretty much a linux noob. I've tried to install Pale Moon using the Ubuntu command lines.

Everything goes well until:

xxxxx@xxxxx-NUC8i7BEH:~$ sudo apt-get install palemoon
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
palemoon : Depends: libc6 (>= 2.30) but 2.27-3ubuntu1 is to be installed
Depends: libstdc++6 (>= 9) but 8.3.0-6ubuntu1~18.04.1 is to be installed
E: Unable to correct problems, you have held broken packages.


It does the same with the other ubuntu versions. Any help is appreciated.

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2174
Joined: 2012-06-28, 01:20

Re: Help with Linux Mint installation

Post by ron_1 » 2020-03-07, 18:03

Linux Mint 19.3 is based on Ubuntu 18.04 so that's the one you should have used. Did you try that one? (Sounds like you tried them all, which is not a good thing to do.)

User avatar
llegendary
New to the forum
New to the forum
Posts: 2
Joined: 2020-03-07, 15:48

Re: Help with Linux Mint installation

Post by llegendary » 2020-03-07, 18:30

OK. I've completely reinstalled Linux Mint 19.3.

What do I do now?

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2174
Joined: 2012-06-28, 01:20

Re: Help with Linux Mint installation

Post by ron_1 » 2020-03-07, 19:12

Follow the instructions here for Ubuntu 18.04 (see image) line by line (i.e., one line at a time). It should work with no problem.

FTR, I just use the mainline version off the official site here: http://linux.palemoon.org/download/mainline/

Untitled.jpg

User avatar
stevepusser
Astronaut
Astronaut
Posts: 561
Joined: 2015-08-01, 18:33
Location: California

Re: Help with Linux Mint installation

Post by stevepusser » 2020-03-07, 22:54

llegendary wrote:
2020-03-07, 18:30
OK. I've completely reinstalled Linux Mint 19.3.

What do I do now?
Ouch! You didn't need to do that at all, just to add the correct Pale Moon repo for Ubuntu 18.04.

Post Reply